summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
Diffstat (limited to 'libraries')
-rw-r--r--libraries/tre/README6
-rw-r--r--libraries/tre/slack-desc14
-rw-r--r--libraries/tre/tre.SlackBuild22
-rw-r--r--libraries/tre/tre.info2
4 files changed, 20 insertions, 24 deletions
diff --git a/libraries/tre/README b/libraries/tre/README
index 7329775855..a7a6703f08 100644
--- a/libraries/tre/README
+++ b/libraries/tre/README
@@ -1,3 +1,3 @@
-TRE is a lightweight, robust, and efficient POSIX compliant
-regexp matching library with some exciting features such as
-approximate (fuzzy) matching.
+TRE is a lightweight, robust, and efficient POSIX compliant regexp
+matching library with some exciting features such as approximate
+(fuzzy) matching.
diff --git a/libraries/tre/slack-desc b/libraries/tre/slack-desc
index ffdc159c79..1c55338c91 100644
--- a/libraries/tre/slack-desc
+++ b/libraries/tre/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
tre: TRE (Regexp Matching Library)
tre:
-tre: TRE is a lightweight, robust, and efficient POSIX compliant
-tre: regexp matching library with some exciting features such as
-tre: approximate (fuzzy) matching.
+tre: TRE is a lightweight, robust, and efficient POSIX compliant regexp
+tre: matching library with some exciting features such as approximate
+tre: (fuzzy) matching.
tre:
tre: Homepage: http://laurikari.net/tre/
tre:
diff --git a/libraries/tre/tre.SlackBuild b/libraries/tre/tre.SlackBuild
index abd5f896da..f192278c6d 100644
--- a/libraries/tre/tre.SlackBuild
+++ b/libraries/tre/tre.SlackBuild
@@ -23,9 +23,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=tre
-VERSION=0.7.5
+VERSION=${VERSION:-0.7.5}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -33,21 +33,20 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING.LESSER INSTALL LICENSE NEWS README THANKS TODO doc/*.html"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -61,11 +60,7 @@ CFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --enable-debug=no \
- --enable-static=no \
- --enable-shared=yes \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -77,9 +72,10 @@ make install-strip DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS ChangeLog COPYING.LESSER INSTALL LICENSE NEWS README \
+ THANKS TODO doc/*.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/libraries/tre/tre.info b/libraries/tre/tre.info
index f9b461e0fe..105958423d 100644
--- a/libraries/tre/tre.info
+++ b/libraries/tre/tre.info
@@ -5,4 +5,4 @@ DOWNLOAD="http://laurikari.net/tre/tre-0.7.5.tar.bz2"
MD5SUM="e72e5c94008865cf720992a0b25d6e89"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="David Somero"
+APPROVED="dsomero"